@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono&display=swap');
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'JetBrains Mono', monospace;
}

body{
    background-color: #1e293b;
}

input, button {
    font-size: 16px;
}

.head_bar {
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: linear-gradient(to right, red, white);
    color: white;
}

main {
    margin: 2rem;
    display: flex;
    justify-content: space-around;
}

.input_section {
    display: flex;
    flex-direction: column;
    padding: 0 1rem 1rem 1rem;
    border-radius: 16px;
    background-color: white;
}

.input_section > .box {
    display: flex;
    justify-content: center;
}
.input_section > .box >     h2 {
    background-color: #1e293b;
    padding: 0.5rem 1rem;
    border-radius: 0 0 16px 16px;
    color: white;
}

.input_section > form > .input {
    margin: 1rem 0;
}

.input_section > form > button {
    background-color: #00458e;
    color: white;
    border: 0;
    border-radius: 5px;
    display: block;
    width: 100%;
    padding: 12px;
    cursor: pointer;
}
.input_section > form > button:hover {
    background-color: #0060c7;
    transition: ease-in-out 0.3s;
}

.input_section > form > button > span {
    font-weight: bold;
}

.input_section > form > .input > input {
    display: block;
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}

.input_section > form > .input > label {
    color: #00458e;
    font-weight: bold;
}

.input_section > form > .input_inline {
    margin: 12px 0;
    display: flex;
    align-items: center;
}

.input_section > form > .input_inline > label {
    color: #00458e;
    font-weight: bold;
    margin-right: 10px;
}

.search_section {
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 16px 16px 16px;
    border-radius: 16px;
    background-color: white;
}

.search_section > .box{
    display: flex;
    justify-content: center;
    margin-bottom: 0.5rem;
}
.search_section > .box > h2{
    background-color: #1e293b;
    padding: 0.5rem 1rem;
    border-radius: 0 0 16px 16px;
    color: white;
}

.search_section > form {
    padding: 16px;
    width: 100%;
    /* display: grid;
    grid-template-columns: auto 1fr 0.5fr;
    grid-gap: 10px; */
    display: flex;

}

.search_section > form > label {
    display: flex;
    align-items: center;
}

.search_section > form > input {
    padding: 5px;
    border-radius: 5px;
    width: 80%;
    margin-right: 1rem;
}

.search_section > form > button {
    background-color: #00458e;
    color: white;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
    width: 20%;
}
.search_section > form > button:hover {
    background-color: #0060c7;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

.book_shelf {
    padding: 0 16px 16px 16px;
    border-radius: 16px;
    background-color: white;
}

.book_shelf > .box {
    display: flex;
    justify-content: center;
}
.book_shelf > .box > h2 {
    background-color: #1e293b;
    padding: 0.5rem 1rem;
    border-radius: 0 0 16px 16px;
    color: white;
}

.book_shelf > .book_list {
    padding: 16px;
}

.book_shelf > .book_list > .book_item {
    padding: 0.5rem 1rem 1rem 1rem;
    border: 2px solid white;
    border-radius: 16px;
    margin: 10px 0;
}

.book_shelf > .book_list > .book_item > h3, p {
    margin: 10px 0;
    color: white;
}

.book_shelf > .book_list > .book_item > .action > button {
    border: 0;
    padding: 10px;
    margin: 1.5rem 1rem 0 0;
    border-radius: 5px;
    cursor: pointer;
}

.book_shelf > .book_list > .book_item > .action > .green {
    border: 2px solid green;
    font-weight: bold;
    background-color: white;
}
.book_shelf > .book_list > .book_item > .action > .green:hover {
    background-color: green;
    color: white;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

.book_shelf > .book_list > .book_item > .action > .red {
    border: 2px solid red;
    font-weight: bold;
    background-color: white;
}
.book_shelf > .book_list > .book_item > .action > .red:hover {
    background-color: red;
    color: white;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

.book_shelf > .book_list > .book_item > .action > .yellow {
    border: 2px solid yellow;
    font-weight: bold;
    background-color: white;
}
.book_shelf > .book_list > .book_item > .action > .yellow:hover {
    background-color: yellow;
    color: black;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

/* CUSTOM MODAL */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-content {
    background-color: white;
    width: 500px;
    margin: 100px auto;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    text-align: center;
}
.modal > h2 {
    color: #00458e;
}

.modal-content > h1{
    font-size: 8rem;
}

#yesDeleteButton{
    margin: 1rem;
    padding: 0.5rem 1rem;
    border: 2px solid green;
    font-weight: bold;
    background-color: white;
    border-radius: 5px;
    cursor: pointer;
}
#yesDeleteButton:hover{
    background-color: green;
    color: white;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

#noDeleteButton{
    margin: 1rem;
    padding: 0.5rem 1rem;
    border: 2px solid red;
    font-weight: bold;
    background-color: white;
    border-radius: 5px;
    cursor: pointer;
}
#noDeleteButton:hover{
    background-color: red;
    color: white;
    transition: ease-in-out 0.3s;
    transform: scale(1.1);
}

/* POPUP */
.popup-message {
    display: none;
    position: fixed;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    background-color: white;
    color: #0060c7;
    font-size: 18px;
    font-weight: bold;
    padding: 0.5rem 1rem;
    border-radius: 5px;
}

@media only screen and (max-width: 600px) {
    main {
        margin: 2rem;
        display: flex;
        justify-content: center;
        flex-direction: column;
    }
    .center, .book_shelf{
        margin-top: 2rem;
    }
}